GearmanTask::sendData
GearmanTask::taskDenominator
GearmanTask
PHP Manual

# GearmanTask::sendWorkload

Send data for a task

### Description

public int GearmanTask::sendWorkload ( string `$data` )

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Parameters

`data`

  Data to send to the worker.

### Return Values

The length of data sent, or `FALSE` if the send failed.

### See Also

- GearmanTask::recvData